<template>
  <div class="homePage">
    <label for="chainInput">Chain</label>
    <input type="text" v-model="chain" id="chainInput" />
    <label for="nInput">N</label>
    <input type="number" v-model="n" id="nInput" />
    <button @click="doCompute">Compute</button>
    <label for="nInput">Result</label>
    <div>{{ result }}</div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import computeBiggestSubchainfactor from "@/services/computeBiggestSubchainFactor";

export default defineComponent({
  name: "HomePage",
  data() {
    return {
      chain: "",
      n: 0,
      result: 0,
    };
  },
  methods: {
    doCompute() {
      this.result = computeBiggestSubchainfactor(this.chain, this.n);
    },
  },
});
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.homePage {
  display: flex;
  flex-direction: column;
  width: 50%;
  margin: auto;
}
</style>
